Subject: Re: bug#22569: 24.5; gud/gdb with tramp: warning in setting controlling terminal

From: Michael Albinus <[email-masked]>
Date: Mon, 22 Aug 2016 15:33:04 +0200

Michael Albinus <[email-masked]> writes:

> You're right, it is the same problem as desribed in 4604 and 6360, so I
> merge this bug with them.
>
> And I will also close all of them; the incrimed message is just a
> warning which doesn't harm.

I've added the following text to the Tramp manual, section 5.4.5
"Running a debugger on a remote host":

--8<---------------cut here---------------start------------->8---
Since the remote ‘gdb’ and ‘gdb-inferior’ processes do not belong
to the same process group on the remote host, there will be a warning,
which can be ignored:

&"warning: GDB: Failed to set controlling terminal: Operation not permitted\n"
--8<---------------cut here---------------end--------------->8---

I'm closing the three bugs.

Best regards, Michael.